<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" 
	  xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8"/>
<title>Home</title>
<link rel="stylesheet" href="../../css/bootstrap.min.css" >
</head>
<body>
<div class="container">
	<div class="row">
		<div class="col-6">
			<a href="/bidList/list">Bid List</a>&nbsp;|&nbsp;
			<a href="/curvePoint/list">Curve Points</a>&nbsp;|&nbsp;
			<a href="/ruleName/list">ruleNames</a>&nbsp;|&nbsp;
			<a href="/trade/list">Trade</a>&nbsp;|&nbsp;
			<a href="/ruleName/list">Rule</a>
		</div>
		<div class="col-6 text-right">
			Logged in user: <span data-th-text="${user}" style="color: #32CD32"></span>  </b>
			<form th:action="@{/logout}" method="POST">
				<input type="submit" value="Logout"/>
			</form>
		</div>
	</div>
	<div class="row"><h2>Rule List</h2></div>
	<div class="row">
		<a href="/ruleName/add" class="btn btn-primary btn-sm">Add New</a>
		<table class="table table-bordered">
			<thead>
				<tr>
					<th>Id</th>
					<th>Name</th>
					<th>Description</th>
					<th>json</th>
					<th>template</th>
					<th>sqlStr</th>
					<th>sqlPart</th>
					<th>Action</th>
				</tr>
			</thead>
			<tbody>
				<tr th:each="ruleName : ${ruleNames}">
					<td style="width: 10%" th:text="${ruleName.id}"></td>
					<td th:text="${ruleName.name}"></td>
					<td th:text="${ruleName.description}"></td>
					<td th:text="${ruleName.json}"></td>
					<td th:text="${ruleName.template}"></td>
					<td th:text="${ruleName.sqlStr}"></td>
					<td th:text="${ruleName.sqlPart}"></td>
					<td style="width: 15%" class="text-center">
						<a th:href="@{/ruleName/update/{id}(id=${ruleName.id})}">Edit</a>&nbsp;|&nbsp;
						<a th:href="@{/ruleName/delete/{id}(id=${ruleName.id})}">Delete</a>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
</div>
</body>
</html>